using Harmonia.Core.Models;

namespace Harmonia.Core.Scanner;

public interface IAudioFileScanner
{
    Task<Song[]> GetSongsAsync(string[] fileNames, CancellationToken cancellationToken);
    Task<Song[]> GetSongsFromPathAsync(string path, CancellationToken cancellationToken);
}